Description

Hi,

this is a patch for #12234 with translateable widget blocks.

I added the german translations after applying the cleanup from #12708.

Best regards,

Daniel

Related issues:

Related to Redmine - Feature #12234: Widget-Links should be translateable per... Closed

Related to Redmine - Patch #12660: Consistent German translation for my page Closed

Follows Redmine - Patch #12708: Restructured german translation (Cleanup) Closed

History

#1 - 2013-03-18 11:04 - Daniel Felix

- Target version set to 2.4.0

Maybe this could be also implemented as a 2.4 goal.

I will try to provide a better patch when I leave the hospital on the current code base.

I would attach the widget name to the translatekey "label_widget_" to get some better translation.

Example: calendar widget would get label_widget_calendar

Any regressions?

Best regards,

Daniel

#2 - 2013-03-19 21:39 - Daniel Felix

Forget the last comment. I couldn't download the diff I've uploaded.

This should be ready. It's just a slightly change of the widget links.

They need to be translated in each language. I just copied the English locales.

Maybe, you can upload your locale patches for each language, you can translate.

Best regards,

Daniel

#3 - 2013-05-18 09:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version deleted (2.4.0)

I've moved the links to the block titles in r11860. That makes it cleaner IMHO and prevents from adding some more translation strings.

Files

translateable_widget_blocks.diff 32.9 KB 2013-01-02 Daniel Felix
